PropertyListSerialization (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.apple.PropertyListSerialization class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.apple
Class PropertyListSerialization

    java.lang.Object
      net.sf.antcontrib.cpptasks.apple.PropertyListSerialization

    public final class PropertyListSerialization

extends java.lang.Object

Static class that provides methods to serialize a Map to a Cocoa XML Property List. Does not currently support date or data elements.

Method Summary
`static void` | `serialize(java.util.Map propertyList, java.util.List comments, java.io.File file)` Serializes a property list into a Cocoa XML Property List document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### serialize

    public static void serialize(java.util.Map propertyList,
                                 java.util.List comments,
                                 java.io.File file)
                          throws java.io.IOException,
                                 org.xml.sax.SAXException,
                                 javax.xml.transform.TransformerConfigurationException

  Serializes a property list into a Cocoa XML Property List document.

  Parameters:
    `propertyList` - property list.
    `file` - destination.
    `comments` - comments to insert into document.
  Throws:
    `org.xml.sax.SAXException` - if exception during serialization.
    `javax.xml.transform.TransformerConfigurationException` - if exception creating serializer.
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.